%global major	0
%define libname	%mklibname xcvt %major
%define devname	%mklibname xcvt -d

Name:		libxcvt
Version:	0.1.3
Release:	%mkrel 2
Summary:	VESA CVT standard timing modelines generator
Group:		System/X11
License:	MIT
URL:		https://gitlab.freedesktop.org/xorg/lib/libxcvt/
Source0:	https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson

%description
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.

%package -n %libname
Summary:	VESA CVT standard timing modelines generator
Group:		System/Libraries

%description -n %libname
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.

%package -n %devname
Group:		Development/C
Summary:	Development package
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n cvt
Summary:	Command line tool to calculate VESA CVT mode lines
Conflicts:	x11-server-common < 1.21

%description -n cvt
A standalone version of the command line tool cvt copied from the Xorg
implementation and is meant to be a direct replacement to the version
provided by the Xorg server.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files -n %libname
%doc COPYING
%{_libdir}/libxcvt.so.%{major}{,.*}

%files -n %devname
%{_libdir}/pkgconfig/libxcvt.pc
%dir %{_includedir}/libxcvt
%{_includedir}/libxcvt/*.h
%{_libdir}/libxcvt.so

%files -n cvt
%{_bindir}/cvt
%{_mandir}/man1/cvt.1*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.1.3-2.mga10
+ Revision: 2233433
- Mageia 10 Mass Rebuild

* Wed Jan 01 2025 daviddavid <daviddavid> 0.1.3-1.mga10
+ Revision: 2134615
- new version: 0.1.3

* Wed Nov 02 2022 luigiwalser <luigiwalser> 0.1.2-1.mga9
+ Revision: 1901785
- 0.1.2

* Fri Mar 18 2022 umeabot <umeabot> 0.1.1-2.mga9
+ Revision: 1798792
- Mageia 9 Mass Rebuild

* Fri Nov 05 2021 wally <wally> 0.1.1-1.mga9
+ Revision: 1753985
- new version 0.1.1
- add more provides to devedl pkg
- fix lib pkg summary

* Thu Sep 30 2021 tv <tv> 0.1.0-1.mga9
+ Revision: 1746916
- imported package libxcvt


* Thu Jul 8 2021 Olivier Fourdan <ofourdan@redhat.com> - 0.1.0-1
- Initial import (#1980342)
